Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| fop 1.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.fop.datatypes
Class URISpecification

    java.lang.Object
      org.apache.fop.datatypes.URISpecification

    public final class URISpecification

extends java.lang.Object

This class contains method to deal with the datatype from XSL-FO.

Method Summary
`static java.lang.String` | `escapeURI(java.lang.String uri)` Escapes any illegal URI character in a given URI, for example, it escapes a space to "%20".
`static java.lang.String` | `getURL(java.lang.String href)` Get the URL string from a wrapped URL.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### getURL

    public static java.lang.String getURL(java.lang.String href)

  Get the URL string from a wrapped URL.

  Parameters:
    `href` - the input wrapped URL
  Returns:
    the raw URL

### escapeURI

    public static java.lang.String escapeURI(java.lang.String uri)

  Escapes any illegal URI character in a given URI, for example, it escapes a space to "%20". Note: This method does not "parse" the URI and therefore does not treat the individual components (user-info, path, query etc.) individually.

  Parameters:
    `uri` - the URI to inspect
  Returns:
    the escaped URI

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| fop 1.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 1999-2012 The Apache Software Foundation. All Rights Reserved.